#!/bin/bash

scar="a5fd1f4276345fb083f7a0428be55374cce5c2e3"
deposit=0
verbosity=4
datadir="datadir"
networkid=212
rpcaddr="0.0.0.0"
chainnet="test"
rpcuser="fabcoin"
rpcpassword="fabcoin"

./bin/bootnode -genkey nodekey
./bin/geth --datadir $datadir --networkid $networkid --bridge.chainnet $chainnet --bridge.attachtorunning --deposit 0 init pbft_seed.json
cp tspubkey.store ./datadir/geth/tspubkey.store
cp tsparams ./datadir/geth/tsparams
cp nodekey ./datadir/geth/nodekey
cp static-nodes.json ./datadir/static-nodes.json
cp tradingpairs.conf ./datadir/geth/tradingpairs.conf
cp tokenlist.conf ./datadir/geth/tokenlist.conf


