#!/bin/bash
scar="a5fd1f4276345fb083f7a0428be55374cce5c2e3"
deposit=0
verbosity=4
datadir="datadir"
networkid=212
rpcaddr="0.0.0.0"
chainnet="test"
rpcuser="fabcoin"
rpcpassword="fabcoin"
key=`cat nodekey` 
nodename="myfullnode-"
nodename+=`cut -c 1-8 <<< $key` 

(./bin/geth --gcmode archive --gasprice 1 --datadir $datadir --nodiscover  --verbosity $verbosity --rpc --rpcapi db,kanban,net,web3,personal,pbft,bridge,pbfttest,cryptotest,admin --networkid $networkid --syncmode full --rpcaddr $rpcaddr --bridge.chainnet $chainnet --bridge.attachtorunning --bridge.rpcuser $rpcuser --bridge.rpcpassword $rpcpassword --bridge.scar.address $scar --bridge.flagEnableTests --kanbanstats $nodename:abcd@18.223.17.4:3000 --deposit $deposit &> runlog.txt &)


